<template>
    <q-item :disable="disabled" tag="label" v-ripple>
        <q-item-section>
            <q-item-label> {{ label }}</q-item-label>
            <q-item-label caption> {{ caption }}</q-item-label>
        </q-item-section>
        <q-item-section side top>
            <q-toggle :disable="disabled" color="red" :value="value" @input="$emit('input', $event)"/>
        </q-item-section>
    </q-item>
</template>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';

@Component
export default class ToggleSetting extends Vue {
    @Prop() label!: string
    @Prop() caption!: string;
    @Prop() value!: boolean;
    @Prop() disabled!: boolean;

}
</script>

<style lang='scss' scoped>

</style>
